#include <iostream>
#include<algorithm>

using namespace std;

int main() {
    
    int n, a[200000], i, s = 0, pom2, s1;
    double p[200000], d[100000], pom1, maks = -1;
    
    cin >> n;
    
    for(i = 0; i < n; i++)
    {
        cin >> a[i];
        cin >> p[i];
    }
    
    for(int i = 0; i < n; i++)
    {
        for(int u = i+1; u < n; u++)
        {
            if(p[u] < p[i])
            {
                pom1 = p[i];
                p[i] = p[u];
                p[u] = pom1;
                
                pom2 = a[i];
                a[i] = a[u];
                a[u] = pom2;
                
            }
        }
    }
    for(i = 0; i < n; i++)
    {
        s+=a[i];
    }
    
    d[0] = s*p[0];
    s1 = s;

    for(i = 1; i < n; i++)
    {
        if(p[i] == p[i-1]) continue;
        else
        {
            s=s1;
            for(int u = i-1; u >= 0; u--)
            {
                s=s-a[u];
            }
            d[i] = s*p[i]/100;
        }
        if(d[i] > maks)
        {
            maks = d[i];
        }
    }
    
    printf("%.4f", maks);
    
    return 0;
}